### Function

# GLib return_if_fail_warning

#### Declaration

    void
    g_return_if_fail_warning (
      const char* log_domain,
      const char* pretty_function,
      const char* expression
    )

#### Description

Internal function used to print messages from the public `g_return_if_fail()` and `g_return_val_if_fail()` macros.

This function is not directly available to language bindings.

#### Parameters

`log_domain`

  Type: `const char*`

  Log domain.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pretty_function`

  Type: `const char*`

  Function containing the assertion.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`expression`

  Type: `const char*`

  Expression which failed.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.